diff --git a/dirsrvtests/tests/suites/password/pwdPolicy_attribute_test.py b/dirsrvtests/tests/suites/password/pwdPolicy_attribute_test.py
index b474f61..a6e4c5c 100644
--- a/dirsrvtests/tests/suites/password/pwdPolicy_attribute_test.py
+++ b/dirsrvtests/tests/suites/password/pwdPolicy_attribute_test.py
@@ -1,3 +1,11 @@
+# --- BEGIN COPYRIGHT BLOCK ---
+# Copyright (C) 2016 Red Hat, Inc.
+# All rights reserved.
+#
+# License: GPL (version 3 or any later version).
+# See LICENSE for details.
+# --- END COPYRIGHT BLOCK ---
+#
 import os
 import time
 import subprocess
@@ -10,85 +18,37 @@ from lib389.properties import *
 from lib389.tasks import *
 from lib389.utils import *
 
-DEBUGGING = False
 OU_PEOPLE = 'ou=people,{}'.format(DEFAULT_SUFFIX)
 TEST_USER_NAME = 'simplepaged_test'
 TEST_USER_DN = 'uid={},{}'.format(TEST_USER_NAME, OU_PEOPLE)
 TEST_USER_PWD = 'simplepaged_test'
-PW_POLICY_CONT_USER = 'cn="cn=nsPwPolicyEntry,uid=simplepaged_test,'\
-                      'ou=people,dc=example,dc=com",'\
+PW_POLICY_CONT_USER = 'cn="cn=nsPwPolicyEntry,uid=simplepaged_test,' \
+                      'ou=people,dc=example,dc=com",' \
                       'cn=nsPwPolicyContainer,ou=people,dc=example,dc=com'
-PW_POLICY_CONT_PEOPLE = 'cn="cn=nsPwPolicyEntry,'\
-                        'ou=people,dc=example,dc=com",'\
+PW_POLICY_CONT_PEOPLE = 'cn="cn=nsPwPolicyEntry,' \
+                        'ou=people,dc=example,dc=com",' \
                         'cn=nsPwPolicyContainer,ou=people,dc=example,dc=com'
 
-if DEBUGGING:
-    logging.getLogger(__name__).setLevel(logging.DEBUG)
-else:
-    logging.getLogger(__name__).setLevel(logging.INFO)
-
+logging.getLogger(__name__).setLevel(logging.INFO)
 log = logging.getLogger(__name__)
 
 
-class TopologyStandalone(object):
-    """The DS Topology Class"""
-    def __init__(self, standalone):
-        """Init"""
-        standalone.open()
-        self.standalone = standalone
-
-
 @pytest.fixture(scope="module")
-def topology(request):
-    """Create DS Deployment"""
-
-    # Creating standalone instance ...
-    if DEBUGGING:
-        standalone = DirSrv(verbose=True)
-    else:
-        standalone = DirSrv(verbose=False)
-    args_instance[SER_HOST] = HOST_STANDALONE
-    args_instance[SER_PORT] = PORT_STANDALONE
-    args_instance[SER_SERVERID_PROP] = SERVERID_STANDALONE
-    args_instance[SER_CREATION_SUFFIX] = DEFAULT_SUFFIX
-    args_standalone = args_instance.copy()
-    standalone.allocate(args_standalone)
-    instance_standalone = standalone.exists()
-    if instance_standalone:
-        standalone.delete()
-    standalone.create()
-    standalone.open()
-
-    def fin():
-        """If we are debugging just stop the instances, otherwise remove
-        them
-        """
-        if DEBUGGING:
-            standalone.stop()
-        else:
-            standalone.delete()
-
-    request.addfinalizer(fin)
-
-    return TopologyStandalone(standalone)
-
-
-@pytest.fixture(scope="module")
-def test_user(topology, request):
+def test_user(topology_st, request):
     """User for binding operation"""
 
     log.info('Adding user {}'.format(TEST_USER_DN))
     try:
-        topology.standalone.add_s(Entry((TEST_USER_DN, {
-                                        'objectclass': 'top person'.split(),
-                                        'objectclass': 'organizationalPerson',
-                                        'objectclass': 'inetorgperson',
-                                        'cn': TEST_USER_NAME,
-                                        'sn': TEST_USER_NAME,
-                                        'userpassword': TEST_USER_PWD,
-                                        'mail': '%s@redhat.com' % TEST_USER_NAME,
-                                        'uid': TEST_USER_NAME
-                                        })))
+        topology_st.standalone.add_s(Entry((TEST_USER_DN, {
+            'objectclass': 'top person'.split(),
+            'objectclass': 'organizationalPerson',
+            'objectclass': 'inetorgperson',
+            'cn': TEST_USER_NAME,
+            'sn': TEST_USER_NAME,
+            'userpassword': TEST_USER_PWD,
+            'mail': '%s@redhat.com' % TEST_USER_NAME,
+            'uid': TEST_USER_NAME
+        })))
     except ldap.LDAPError as e:
         log.error('Failed to add user (%s): error (%s)' % (TEST_USER_DN,
                                                            e.message['desc']))
@@ -96,19 +56,20 @@ def test_user(topology, request):
 
     def fin():
         log.info('Deleting user {}'.format(TEST_USER_DN))
-        topology.standalone.delete_s(TEST_USER_DN)
+        topology_st.standalone.delete_s(TEST_USER_DN)
+
     request.addfinalizer(fin)
 
 
 @pytest.fixture(scope="module")
-def password_policy(topology, test_user):
+def password_policy(topology_st, test_user):
     """Set up password policy for subtree and user"""
 
     log.info('Enable fine-grained policy')
     try:
-        topology.standalone.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE,
-                                                  'nsslapd-pwpolicy-local',
-                                                  'on')])
+        topology_st.standalone.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE,
+                                                     'nsslapd-pwpolicy-local',
+                                                     'on')])
     except ldap.LDAPError as e:
         log.error('Failed to set fine-grained policy: error {}'.format(
             e.message['desc']))
@@ -116,7 +77,7 @@ def password_policy(topology, test_user):
 
     log.info('Create password policy for subtree {}'.format(OU_PEOPLE))
     try:
-        subprocess.call(['%s/ns-newpwpolicy.pl' % topology.standalone.get_sbin_dir(),
+        subprocess.call(['%s/ns-newpwpolicy.pl' % topology_st.standalone.get_sbin_dir(),
                          '-D', DN_DM, '-w', PASSWORD,
                          '-p', str(PORT_STANDALONE), '-h', HOST_STANDALONE,
                          '-S', OU_PEOPLE, '-Z', SERVERID_STANDALONE])
@@ -127,18 +88,18 @@ def password_policy(topology, test_user):
 
     log.info('Add pwdpolicysubentry attribute to {}'.format(OU_PEOPLE))
     try:
-        topology.standalone.modify_s(OU_PEOPLE, [(ldap.MOD_REPLACE,
-                                                  'pwdpolicysubentry',
-                                                  PW_POLICY_CONT_PEOPLE)])
+        topology_st.standalone.modify_s(OU_PEOPLE, [(ldap.MOD_REPLACE,
+                                                     'pwdpolicysubentry',
+                                                     PW_POLICY_CONT_PEOPLE)])
     except ldap.LDAPError as e:
-        log.error('Failed to pwdpolicysubentry pw policy '\
+        log.error('Failed to pwdpolicysubentry pw policy ' \
                   'policy for {}: error {}'.format(OU_PEOPLE,
                                                    e.message['desc']))
         raise e
 
     log.info('Create password policy for subtree {}'.format(TEST_USER_DN))
     try:
-        subprocess.call(['%s/ns-newpwpolicy.pl' % topology.standalone.get_sbin_dir(),
+        subprocess.call(['%s/ns-newpwpolicy.pl' % topology_st.standalone.get_sbin_dir(),
                          '-D', DN_DM, '-w', PASSWORD,
                          '-p', str(PORT_STANDALONE), '-h', HOST_STANDALONE,
                          '-U', TEST_USER_DN, '-Z', SERVERID_STANDALONE])
@@ -149,11 +110,11 @@ def password_policy(topology, test_user):
 
     log.info('Add pwdpolicysubentry attribute to {}'.format(TEST_USER_DN))
     try:
-        topology.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
-                                                     'pwdpolicysubentry',
-                                                     PW_POLICY_CONT_USER)])
+        topology_st.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
+                                                        'pwdpolicysubentry',
+                                                        PW_POLICY_CONT_USER)])
     except ldap.LDAPError as e:
-        log.error('Failed to pwdpolicysubentry pw policy '\
+        log.error('Failed to pwdpolicysubentry pw policy ' \
                   'policy for {}: error {}'.format(TEST_USER_DN,
                                                    e.message['desc']))
         raise e
@@ -163,7 +124,7 @@ def password_policy(topology, test_user):
                          [('on', 'off', ldap.UNWILLING_TO_PERFORM),
                           ('off', 'off', ldap.UNWILLING_TO_PERFORM),
                           ('off', 'on', None), ('on', 'on', None)])
-def test_change_pwd(topology, test_user, password_policy,
+def test_change_pwd(topology_st, test_user, password_policy,
                     subtree_pwchange, user_pwchange, exception):
     """Verify that 'passwordChange' attr works as expected
     User should have a priority over a subtree.
@@ -186,24 +147,23 @@ def test_change_pwd(topology, test_user, password_policy,
     log.info('Set passwordChange to "{}" - {}'.format(subtree_pwchange,
                                                       PW_POLICY_CONT_PEOPLE))
     try:
-        topology.standalone.modify_s(PW_POLICY_CONT_PEOPLE, [(ldap.MOD_REPLACE,
-                                                             'passwordChange',
-                                                             subtree_pwchange)])
+        topology_st.standalone.modify_s(PW_POLICY_CONT_PEOPLE, [(ldap.MOD_REPLACE,
+                                                                 'passwordChange',
+                                                                 subtree_pwchange)])
     except ldap.LDAPError as e:
-        log.error('Failed to set passwordChange '\
+        log.error('Failed to set passwordChange ' \
                   'policy for {}: error {}'.format(PW_POLICY_CONT_PEOPLE,
                                                    e.message['desc']))
         raise e
 
-
     log.info('Set passwordChange to "{}" - {}'.format(user_pwchange,
                                                       PW_POLICY_CONT_USER))
     try:
-        topology.standalone.modify_s(PW_POLICY_CONT_USER, [(ldap.MOD_REPLACE,
-                                                            'passwordChange',
-                                                            user_pwchange)])
+        topology_st.standalone.modify_s(PW_POLICY_CONT_USER, [(ldap.MOD_REPLACE,
+                                                               'passwordChange',
+                                                               user_pwchange)])
     except ldap.LDAPError as e:
-        log.error('Failed to set passwordChange '\
+        log.error('Failed to set passwordChange ' \
                   'policy for {}: error {}'.format(PW_POLICY_CONT_USER,
                                                    e.message['desc']))
         raise e
@@ -211,29 +171,29 @@ def test_change_pwd(topology, test_user, password_policy,
 
     try:
         log.info('Bind as user and modify userPassword')
-        topology.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
+        topology_st.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
         if exception:
             with pytest.raises(exception):
-                topology.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
+                topology_st.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
+                                                                'userPassword',
+                                                                'new_pass')])
+        else:
+            topology_st.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
                                                             'userPassword',
                                                             'new_pass')])
-        else:
-            topology.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
-                                                        'userPassword',
-                                                        'new_pass')])
     except ldap.LDAPError as e:
         log.error('Failed to change userpassword for {}: error {}'.format(
             TEST_USER_DN, e.message['info']))
         raise e
     finally:
         log.info('Bind as DM')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
-        topology.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
-                                                     'userPassword',
-                                                     TEST_USER_PWD)])
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
+                                                        'userPassword',
+                                                        TEST_USER_PWD)])
 
 
-def test_pwd_min_age(topology, test_user, password_policy):
+def test_pwd_min_age(topology_st, test_user, password_policy):
     """If we set passwordMinAge to some value, for example to 10, then it
     should not allow the user to change the password within 10 seconds after
     his previous change.
@@ -261,33 +221,33 @@ def test_pwd_min_age(topology, test_user, password_policy):
 
     log.info('Set passwordminage to "{}" - {}'.format(num_seconds, PW_POLICY_CONT_PEOPLE))
     try:
-        topology.standalone.modify_s(PW_POLICY_CONT_PEOPLE, [(ldap.MOD_REPLACE,
-                                                             'passwordminage',
-                                                             num_seconds)])
+        topology_st.standalone.modify_s(PW_POLICY_CONT_PEOPLE, [(ldap.MOD_REPLACE,
+                                                                 'passwordminage',
+                                                                 num_seconds)])
     except ldap.LDAPError as e:
-        log.error('Failed to set passwordminage '\
+        log.error('Failed to set passwordminage ' \
                   'policy for {}: error {}'.format(PW_POLICY_CONT_PEOPLE,
                                                    e.message['desc']))
         raise e
 
     log.info('Set passwordminage to "{}" - {}'.format(num_seconds, PW_POLICY_CONT_USER))
     try:
-        topology.standalone.modify_s(PW_POLICY_CONT_USER, [(ldap.MOD_REPLACE,
-                                                            'passwordminage',
-                                                            num_seconds)])
+        topology_st.standalone.modify_s(PW_POLICY_CONT_USER, [(ldap.MOD_REPLACE,
+                                                               'passwordminage',
+                                                               num_seconds)])
     except ldap.LDAPError as e:
-        log.error('Failed to set passwordminage '\
+        log.error('Failed to set passwordminage ' \
                   'policy for {}: error {}'.format(PW_POLICY_CONT_USER,
                                                    e.message['desc']))
         raise e
 
     log.info('Set passwordminage to "{}" - {}'.format(num_seconds, DN_CONFIG))
     try:
-        topology.standalone.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE,
-                                                  'passwordminage',
-                                                  num_seconds)])
+        topology_st.standalone.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE,
+                                                     'passwordminage',
+                                                     num_seconds)])
     except ldap.LDAPError as e:
-        log.error('Failed to set passwordminage '\
+        log.error('Failed to set passwordminage ' \
                   'policy for {}: error {}'.format(DN_CONFIG,
                                                    e.message['desc']))
         raise e
@@ -295,10 +255,10 @@ def test_pwd_min_age(topology, test_user, password_policy):
 
     try:
         log.info('Bind as user and modify userPassword')
-        topology.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
-        topology.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
-                                                     'userPassword',
-                                                     'new_pass')])
+        topology_st.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
+        topology_st.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
+                                                        'userPassword',
+                                                        'new_pass')])
     except ldap.LDAPError as e:
         log.error('Failed to change userpassword for {}: error {}'.format(
             TEST_USER_DN, e.message['info']))
@@ -306,31 +266,31 @@ def test_pwd_min_age(topology, test_user, password_policy):
     time.sleep(1)
 
     log.info('Bind as user and modify userPassword straight away after previous change')
-    topology.standalone.simple_bind_s(TEST_USER_DN, 'new_pass')
+    topology_st.standalone.simple_bind_s(TEST_USER_DN, 'new_pass')
     with pytest.raises(ldap.CONSTRAINT_VIOLATION):
-        topology.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
-                                                     'userPassword',
-                                                     'new_new_pass')])
+        topology_st.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
+                                                        'userPassword',
+                                                        'new_new_pass')])
 
     log.info('Wait {} second'.format(int(num_seconds) + 2))
     time.sleep(int(num_seconds) + 2)
 
     try:
         log.info('Bind as user and modify userPassword')
-        topology.standalone.simple_bind_s(TEST_USER_DN, 'new_pass')
-        topology.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
-                                                     'userPassword',
-                                                     TEST_USER_PWD)])
+        topology_st.standalone.simple_bind_s(TEST_USER_DN, 'new_pass')
+        topology_st.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
+                                                        'userPassword',
+                                                        TEST_USER_PWD)])
     except ldap.LDAPError as e:
         log.error('Failed to change userpassword for {}: error {}'.format(
             TEST_USER_DN, e.message['info']))
         raise e
     finally:
         log.info('Bind as DM')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
-        topology.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
-                                                     'userPassword',
-                                                     TEST_USER_PWD)])
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.modify_s(TEST_USER_DN, [(ldap.MOD_REPLACE,
+                                                        'userPassword',
+                                                        TEST_USER_PWD)])
 
 
 if __name__ == '__main__':
